#include <iostream>

using namespace std;

int suma=0, n;

void bug(int nizz[], int m, int p)
{
	if(m == 0)
	{
		//cout << " NULA " << endl;
		for(int g=0; g < p; g++)
		{
			suma = (suma + nizz[g])%1000000007;
		//	cout << nizz[g] << "   ";
		}
	}
	else
	{
	//if(m>0){
		for(int i = 0; i < p; i++)
		{
			//nov[i] = nizz[i];
			for(int j = 0; j < p-i; j++)
			{
				int nov[j+1];
				for(int h=0; h<j+1; h++){
					nov[h]=nizz[i+h];
				}
				bug(nov, m-1, j+1);
			}
		}
//	}
	}
}

int main() {
	int  k;
	cin >> n >> k;
	int niz[n];
	for(int i = 0; i < n; i++)
	{
		cin >> niz[i];
	}
//	cout << sizeof(niz)/sizeof(*niz);
	bug(niz, k, n);
	cout << suma;
	
	return 0;
}